0 Пользователей и 1 Гость просматривают эту тему.
  • 3 Ответов
  • 3859 Просмотров
*

kommunizm

  • Осваиваюсь на форуме
  • 32
  • 6 / 0
Проблема проста Joomla 1.5.22 и ниже не садится на XAMPP 1.7.4, а если садится то в итоге выдает ошибки:

Strict Standards: Non-static method JLoader::import() should not be called statically in
Strict Standards: Non-static method JLoader::register() should not be called statically in
Strict Standards: Non-static method JLoader::import() should not be called statically in
Strict Standards: Non-static method JLoader::register() should not be called statically in
Strict Standards: Non-static method JLoader::load() should not be called statically in
Strict Standards: Non-static method JLoader::register() should not be called statically in
Strict Standards: Non-static method JRequest::clean() should not be called statically in
Strict Standards: Non-static method JRequest::_cleanArray() should not be called statically in
и далее и далее по списку.

Тема поднималась, но в итоге так и непонятно описание решения, автор дал ссылку на пост разворачивания хампп сервера на линуксе, я вообще использую портабельную версию, а моя ось - виндовс. Пробовал установочную версию по виндовс - та же проблема.

НЕ ПРЕДЛАГАТЬ РЕШЕНИЕ ПОСРЕДСТВОМ МЕТОДА УБРАТЬ ОТОБРАЖЕНИЕ ОШИБОК И ПРЕДУПРЕЖДЕНИЙ в PHP.INI (если вы не видите это не значит что нет проблем)
error_reporting = E_ALL & ~E_NOTICE

НЕ ПРЕДЛАГАТЬ ДЕНВЕР И ДРУГИЕ ПОРТАБЕЛЬНЫЕ СЕРВЕРА ДЛЯ ТЕСТА САЙТОВ И ДЕМОНСТРАЦИЙ

На иностранных форумах обычно пишут -  тупо убрать отображение предупреждений.

На форуме хампп есть такая тема, предлагаю использовать более старые версии хампп (до 1.7.1)

Еще удалось выудить - говорят что проблема в том как хампп присоединяется к базе данных.

На этом все известные данные у меня заканчиваются. Эта проблема теперь будет продолжатся и в более новых версиях хампп, как решить?

« Последнее редактирование: 27.02.2011, 18:57:30 от kommunizm »
*

qweqweqwe

  • Захожу иногда
  • 65
  • 0 / 0
Re: Последние версии от XAMPP 1.7.4 и Joomla 1.5
« Ответ #1 : 12.04.2011, 19:45:10 »
перенес сайт на xampp с хостинга выдало кучу ошибок

Strict Standards: Non-static method JLoader::register() should not be called statically in D:\Project\test1.ru\www\libraries\loader.php on line 71
Strict Standards: Non-static method JLoader::import() should not be called statically in D:\Project\test1.ru\www\libraries\joomla\import.php on line 32

поискал на фоурмах и понял что надо откатить хампп до версии ПШП 5.2 подскажите как это сделать
*

kommunizm

  • Осваиваюсь на форуме
  • 32
  • 6 / 0
Re: Последние версии от XAMPP 1.7.4 и Joomla 1.5
« Ответ #2 : 12.04.2011, 21:06:48 »
Путь первый:
Скачать более старую версию XAMPP с php версии 5,2.

Второй:
Можно конечно попробовать скачать дистрибьютив php 5.2 на офф сайте php, в настройках хампп указать что ты используешь другой дистрибьютив PHP, сменить настройки, указать пути на скаченный и распакованный дистрибьютив 5,2.

качать рание версии хампп с sourceforge net
« Последнее редактирование: 12.04.2011, 21:09:50 от kommunizm »
*

tochini

  • Захожу иногда
  • 67
  • 1 / 0
Re: Последние версии от XAMPP 1.7.4 и Joomla 1.5
« Ответ #3 : 18.10.2011, 02:32:08 »
Путь первый:
Скачать более старую версию XAMPP с php версии 5,2.

Второй:
Можно конечно попробовать скачать дистрибьютив php 5.2 на офф сайте php, в настройках хампп указать что ты используешь другой дистрибьютив PHP, сменить настройки, указать пути на скаченный и распакованный дистрибьютив 5,2.

качать рание версии хампп с sourceforge net
Наиболее простой путь: первый.
Качай 1.7.1 с http://sourceforge.net/projects/xampp/files/XAMPP%20Linux/
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Ошибка при внесении в настройки изменений компонента jUpgrade(обновление joomla)

Автор Ilya69

Ответов: 0
Просмотров: 836
Последний ответ 08.05.2018, 20:23:13
от Ilya69
перенесенная Joomla не видит MySQL - в логах MySQL старт нормальный

Автор ommy

Ответов: 23
Просмотров: 1803
Последний ответ 23.01.2018, 11:20:48
от altvvc
Обновление Joomla\!

Автор SemenSemen

Ответов: 3
Просмотров: 2935
Последний ответ 14.11.2017, 10:42:58
от SemenSemen
Обновление Joomla с 1.5 до 3

Автор kpripper

Ответов: 6
Просмотров: 2425
Последний ответ 27.05.2017, 23:47:50
от prosystema
[Решено] Как обновить Joomla 1.5 (версии, способы обновления и т.д.)

Автор Danka

Ответов: 45
Просмотров: 183251
Последний ответ 06.04.2017, 12:14:12
от SeBun